Summary:	A C++ interface for glib library - cross MinGW32 version
Summary(pl.UTF-8):	Interfejs C++ dla biblioteki glib - wersja skrośna MinGW32
%define		realname	glibmm
Name:		crossmingw32-%{realname}
Version:	2.38.1
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glibmm/2.36/%{realname}-%{version}.tar.xz
# Source0-md5:	50d86a77398cd473ff13c4c9382e39bd
Patch0:		glibmm-win32.patch
URL:		http://www.gtkmm.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	crossmingw32-glib2 >= 2.38.0
BuildRequires:	crossmingw32-libsigc++ >= 2.2.10
BuildRequires:	libtool >= 2:2.0
BuildRequires:	m4
BuildRequires:	mm-common >= 0.9.6
BuildRequires:	pkgconfig >= 1:0.15
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	crossmingw32-glib2 >= 2.38.0
Requires:	crossmingw32-libsigc++ >= 2.2.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*
%define		filterout_cxx	-f[-a-z0-9=]*

%description
A C++ interface for glib library - cross MinGW32 version.

%description -l pl.UTF-8
Interfejs C++ dla biblioteki glib - wersja skrośna MinGW32.

%package static
Summary:	Static glibmm library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka glibmm (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static glibmm library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka glibmm (wersja skrośna MinGW32).

%package dll
Summary:	DLL glibmm library for Windows
Summary(pl.UTF-8):	Biblioteka DLL glibmm dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-glib2-dll >= 2.38.0
Requires:	crossmingw32-libsigc++-dll >= 2.2.10
Requires:	wine

%description dll
DLL glibmm library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL glibmm dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-fulldocs \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{doc,devhelp}
# use these from native glibmm if needed
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/glibmm-2.4/proc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgiomm-2.4.dll.a
%{_libdir}/libglibmm-2.4.dll.a
%{_libdir}/libglibmm_generate_extra_defs-2.4.dll.a
%{_libdir}/libgiomm-2.4.la
%{_libdir}/libglibmm-2.4.la
%{_libdir}/libglibmm_generate_extra_defs-2.4.la
%dir %{_libdir}/giomm-2.4
%{_libdir}/giomm-2.4/include
%dir %{_libdir}/glibmm-2.4
%{_libdir}/glibmm-2.4/include
%{_includedir}/giomm-2.4
%{_includedir}/glibmm-2.4
%{_pkgconfigdir}/giomm-2.4.pc
%{_pkgconfigdir}/glibmm-2.4.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgiomm-2.4.a
%{_libdir}/libglibmm-2.4.a
%{_libdir}/libglibmm_generate_extra_defs-2.4.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libgiomm-2.4-*.dll
%{_dlldir}/libglibmm-2.4-*.dll
%{_dlldir}/libglibmm_generate_extra_defs-2.4-*.dll
%changelog
* Mon Nov 18 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-glibmm.git;a=log;h=master

* Mon Nov 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 1a95c32
- updated to 2.38.1

* Sun Oct 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 96f6c57
- updated to 2.38.0

* Sun Jun 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 4649387
- updated to 2.36.2

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> be43f55
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> de0bc54
- do not provide pkgconfig deps in system namespace

* Thu Apr 18 2013 Jakub Bogusz <qboosh@pld-linux.org> e882ae3
- updated filterout_

* Thu Apr 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 0c5332a
- updated to 2.36.0

* Tue Nov 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 35bf2c8
- updated to 2.34.1 (2.34.0 was broken on win32)
- added win32 patch (disable one unix-specific func wrapper)

* Fri Jul 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 047d4ff
- updated to 2.32.1

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 380a499
- updated to 2.32.0

* Fri Nov 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 476bcf8
- updated to 2.30.1

* Sat Oct 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 03a6960
- updated to 2.30.0

* Wed Jun 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 908cb6f
- updated to 2.28.2

* Tue May 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 85f6f60
- updated to 2.28.1

* Sun May 01 2011 Jakub Bogusz <qboosh@pld-linux.org> b635b32
- updated to 2.28.0

* Sat Sep 18 2010 Jakub Bogusz <qboosh@pld-linux.org> bc13ea8
- updated to 2.24.2

* Fri Jan 22 2010 Łukasz Krotowski <lkrotowski@pld-linux.org> 6b2b65e
- up to 2.22.1

* Sat Apr 11 2009 Jakub Bogusz <qboosh@pld-linux.org> f23965f
- updated to 2.20.0
- added win32 patch (gio is unix-only)

* Sat Apr 11 2009 Jakub Bogusz <qboosh@pld-linux.org> a51bd49
- gio is unix-only

* Sat Nov 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 1f8cfdf
- updated URL

